Skip to main content
Resource Center/Hardware/Host Operations
POSTHost OperationsSince 4.3.12SynchronousAuth Required

GetHostNUMATopology

GetHostNUMATopology

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The host UUID.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • nameStringRequired

    The resource name.

  • uuidStringRequired

    The resource UUID.

  • topologyStringRequired

    The pNUMA topology, For more information, see topology.

    • cpusarray[string]Required

      The CPU IDs of the pNUMA node.

    • sizelongRequired

      The total memory size of the NUMA node, in the unit of B.

    • distancearray[string]Required

      The distance of the pNUMA node with another node.

    • VMsUuidarray[string]Required

      The UUIDs of the VM instances associated with the pNUMA node.

    • freelongRequired

      The free memory size of the pNUMA node, in the unit of B.

Endpoint

POST/zstack/v1/hosts/{uuid}/numa

/zstack/v1/hosts/{uuid}/numa

Operation ID

GetHostNUMATopology

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/hosts/{uuid}/numa' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "topology": { "0": { "distance": ["10", "10", "21", "21"], "cpus": ["0", "1", "2", "3", "4", "5", "6", "7"], "VMsUuid": ["f7bae73b9874344b8766dfcdda48ad6e", "f7bae73b9874344b8766dfcdda48ad6e"], "free": 5688.0, "size": 8191.0 }, "1": { "distance": ["10", "10", "21", "21"], "cpus": ["16", "17", "18", "19", "20", "21", "22", "23"], "VMsUuid": ["f7bae73b9874344b8766dfcdda48ad6e", "f7bae73b9874344b8766dfcdda48ad6e"], "free": 5688.0, "size": 8191.0 }, "2": { "distance": ["21", "21", "10", "10"], "cpus": ["8", "9", "10", "11", "12", "13", "14", "15"], "VMsUuid": ["f7bae73b9874344b8766dfcdda48ad6e", "f7bae73b9874344b8766dfcdda48ad6e"], "free": 5688.0, "size": 8191.0 }, "3": { "distance": ["21", "21", "10", "10"], "cpus": ["24", "25", "26", "27", "28", "29", "30", "31"], "VMsUuid": ["f7bae73b9874344b8766dfcdda48ad6e", "f7bae73b9874344b8766dfcdda48ad6e"], "free": 5688.0, "size": 8191.0 } }, "name": "172.20.14.243", "uuid": "7fd86bbe6ca94a8d810aa1d33e29932c" }

Change History

This API has no change history records yet.

View all change history